Open SCAP Library

Functions
cpe_dict.h File Reference
CPE » CPE Dictionary

Interface to Common Platform Enumeration (CPE) Dictionary. More...

`#include "oscap.h"`
`#include "cpe_name.h"`
`#include "oscap_text.h"`
`#include "oscap_source.h"`

Go to the source code of this file.

## Functions
bool | cpe_dict_model_set_origin_file (struct cpe_dict_model *dict, const char *origin_file)
| Sets the origin file hint. More...
const char * | cpe_dict_model_get_origin_file (const struct cpe_dict_model *dict)
| Gets the file the CPE dict model was loaded from.
Evaluators
char * | cpe_dict_detect_version (const char *file)
| Detects which version the given CPE file is. More...

## Detailed Description

Interface to Common Platform Enumeration (CPE) Dictionary.